Рейстер
Fare rules and conditions of an offer.
get/v1/flights/offers/{offerId}/fare-rules
- Аутентификация қажет
Параметрлер
| Атауы | Орны | Түрі | Сипаттама |
|---|---|---|---|
| offerId* | жол | string |
Жауаптар
200OKFareRulesResponse
- offerIdstring
- Rule[]
- categorystringnull болуы мүмкін
- textstringnull болуы мүмкін
Код мысалдары
Сұрауға шлюз тексеретін тәсілмен қол қоятын толық бағдарламалар. YOUR_KEY_ID және YOUR_SECRET мәндерін ауыстырыңыз.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/fare-rules\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/fare-rules" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"